ScriptDef.NestedElement (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.script, class: ScriptDef, class: NestedElement

Package org.apache.tools.ant.taskdefs.optional.script

# Class ScriptDef.NestedElement

java.lang.Object
org.apache.tools.ant.taskdefs.optional.script.ScriptDef.NestedElement

Enclosing class:
  ScriptDef

    public static class ScriptDef.NestedElement
    extends java.lang.Object

Class to represent a nested element definition

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NestedElement()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `setClassName​(java.lang.String className)` | Sets the classname of the class to be used for the nested element.
  `void` | `setName​(java.lang.String name)` | Sets the tag name for this nested element
  `void` | `setType​(java.lang.String type)` | Sets the type of this element.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NestedElement

    public NestedElement()

- ## Method Details

  - ### setName

    public void setName​(java.lang.String name)
    Sets the tag name for this nested element
    Parameters:
      `name` - the name of this nested element

  - ### setType

    public void setType​(java.lang.String type)
    Sets the type of this element. This is the name of an Ant task or type which is to be used when this element is to be created. This is an alternative to specifying the class name directly
    Parameters:
      `type` - the name of an Ant type, or task, to use for this nested element.

  - ### setClassName

    public void setClassName​(java.lang.String className)
    Sets the classname of the class to be used for the nested element. This specifies the class directly and is an alternative to specifying the Ant type name.
    Parameters:
      `className` - the name of the class to use for this nested element.